
<div id="mapPicture">
<a href="{U_NO_MAP}" title="{lang:mode_normal_hint}"><img src="{TN_SRC}" alt="thumb"/></a>
<br/>
<a href="{U_BLOWUP}" onclick="return blowupUrl(this.href);">{lang:More pictures near this location}</a>
<br/>
{COMMENT_IMG}
<br/>
</div>

<div id="map"></div>

<div style="clear:both"></div>
<script type="text/javascript">
//<![CDATA[
function onLoad()
{
  if (!GBrowserIsCompatible())
    return;

  var mapElement = document.getElementById("map");
  var map = new GMap2( mapElement );
  
  map.addControl(new GSmallMapControl());
  map.addControl(new GMapTypeControl());

<!-- BEGIN coordinates -->
  var coord = new GLatLng( {coordinates.LAT}, {coordinates.LON} );
  map.setCenter( coord, 12 );
  var marker = new GMarker(coord);
  map.addOverlay(marker);
<!-- END coordinates -->
  if ( !map.isLoaded() )
    map.setCenter( new GLatLng(0,0), 2);
  try {
    // the overview must be added after setting map center
    var ovcontrol = new GOverviewMapControl(new GSize(165,165));
		map.addControl(ovcontrol);
		var ov_map = ovcontrol.getOverviewMap();
		GEvent.addListener(map, 'maptypechanged', function(){
			ov_map.setMapType(G_NORMAL_MAP);
		});
  }
  catch(e){ alert( e.message ); }
  
  map.enableDoubleClickZoom();
}

function blowupUrl(theUrl)
{
  var win = new Window({
    title: document.title,
    url: theUrl,
    classname: "alphacube",
    left: 0, top: 0,
    width:"640", height:"480",
    minimizable: false,
    maximizable: false,
    draggable: false,
    resizable: false,
    destroyOnClose: true,
    hideEffect: Element.hide,
    showEffectOptions: {duration:1.5}
  });

  win.setConstraint(true, {top:20, left:20, bottom:30, right:20} );
  win.maximize();
  win.showCenter(true, 20, 20);
  return false;
}

Event.observe(window, 'load', onLoad );
Event.observe(window, 'unload', GUnload );
//]]>
</script>